org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.PointerBlock

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskBlock<OnDiskIndex.PointerTerm>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.PointerBlock

Enclosing class:
  OnDiskIndex

    protected class OnDiskIndex.PointerBlock
    extends OnDiskBlock<OnDiskIndex.PointerTerm>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

`OnDiskBlock.BlockType, OnDiskBlock.SearchResult<T>`

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

`blockIndex, blockIndexSize, combinedIndex, hasCombinedIndex`

### Constructor Summary

Constructors
Constructor and Description
`PointerBlock(MappedBuffer block)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected OnDiskIndex.PointerTerm` `cast(MappedBuffer data)`

### Methods inherited from class org.apache.cassandra.index.sasi.disk.OnDiskBlock

`getBlockIndex, getTerm, getTermPosition, maxOffset, minOffset, search, termCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointerBlock

    public PointerBlock(MappedBuffer block)

### Method Detail

#### cast

    protected OnDiskIndex.PointerTerm cast(MappedBuffer data)

Specified by:
  `cast` in class `OnDiskBlock<OnDiskIndex.PointerTerm>`